using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections;

namespace PagingSimpleCollectionWithPagedSource_SL3
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.DataContext = this;
		}

		private IEnumerable itemsSource;
		public IEnumerable ItemsSource
		{
			get
			{
				if (this.itemsSource == null)
				{
					this.itemsSource = Enumerable.Range(0, 1000);
				}
				
				return this.itemsSource;
			}
		}
	}
}
